function [STRES_SpO2_BIN,STRES_SpO2_FUZZY,RELAX_SpO2_BIN,...
          RELAX_SpO2_FUZZY,STRES_SpO2_BIN_FYZ,...
          STRES_SpO2_FUZZY_FYZ,STRES_SpO2_BIN_PSY,STRES_SpO2_FUZZY_PSY]=...
          detekce_SpO2_svm (SpO2_C_means)
%% shluk V3 validne detekuje stres

STRES_SpO2_BIN=[];
STRES_SpO2_FUZZY=[];
RELAX_SpO2_BIN=[];
RELAX_SpO2_FUZZY=[];

for i=1:1:size(SpO2_C_means,2);
if SpO2_C_means(3,i)>=SpO2_C_means(1,i)  || SpO2_C_means(2,i)>=SpO2_C_means(1,i)
   STRES_SpO2_BIN(i)=1;
   STRES_SpO2_FUZZY(i)=SpO2_C_means(3,i)+SpO2_C_means(2,i);
   
else STRES_SpO2_BIN(i)=0;
    STRES_SpO2_FUZZY(i)=0;
end

if SpO2_C_means(3,i)>=SpO2_C_means(1,i)  && SpO2_C_means(3,i)>=SpO2_C_means(2,i)
   STRES_SpO2_BIN_FYZ(i)=1;
   STRES_SpO2_FUZZY_FYZ(i)=SpO2_C_means(3,i);
   
else STRES_SpO2_BIN_FYZ(i)=0;
    STRES_SpO2_FUZZY_FYZ(i)=0;
end

if SpO2_C_means(2,i)>=SpO2_C_means(1,i)  && SpO2_C_means(2,i)>=SpO2_C_means(3,i)
   STRES_SpO2_BIN_PSY(i)=1;
   STRES_SpO2_FUZZY_PSY(i)=SpO2_C_means(2,i);
   
else STRES_SpO2_BIN_PSY(i)=0;
    STRES_SpO2_FUZZY_PSY(i)=0;
end


if SpO2_C_means(1,i)>=SpO2_C_means(2,i) && SpO2_C_means(1,i)>=SpO2_C_means(3,i);
   RELAX_SpO2_BIN(i)=1;
   RELAX_SpO2_FUZZY(i)=SpO2_C_means(1,i);
   
else RELAX_SpO2_BIN(i)=0; 
    RELAX_SpO2_FUZZY(i)=0;
end

end


end